## javax.xml.stream.events
Interface StartDocument

All Superinterfaces:
  XMLEvent, XMLStreamConstants

public interface StartDocument
extends XMLEvent

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Method Summary
`boolean` `encodingSet()`
`java.lang.String` `getCharacterEncodingScheme()`
`java.lang.String` `getSystemId()`
`java.lang.String` `getVersion()`
`boolean` `isStandalone()`
`boolean` `standaloneSet()`

Methods inherited from interface javax.xml.stream.events.XMLEvent
`asCharacters, asEndElement, asStartElement, getEventType, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

Method Detail

### encodingSet

    public boolean encodingSet()

### getCharacterEncodingScheme

    public java.lang.String getCharacterEncodingScheme()

### getSystemId

    public java.lang.String getSystemId()

### getVersion

    public java.lang.String getVersion()

### isStandalone

    public boolean isStandalone()

### standaloneSet

    public boolean standaloneSet()

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.